Subject: Re: how can I set $REMOTEHOST ( so I can set $DISPLAY with sshd w\X11 forwarding)
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Sat, 07 Aug 2004 14:47:59 -0700

peter waltman wrote:

> yeah.  pretty much.  I've set the "ForwardX11 yes" in the sshd_config file on
> the server I log into and I've also set it in the ssh_config with the client I'm
> using to log into it.
> 
>    piano{pwaltman}51: ssh -X grad107m
>    pwaltman@grad107m's password:
>    Last login: Fri Aug  6 19:16:42 2004 from lin04.eecs.tufts.edu
> 
>    pwaltman@GRAD107M ~
>    $ echo $DISPLAY
>    127.0.0.1:0

It could be that if DISPLAY is set before you run ssh -X then ssh won't
change it.  Try unsetting DISPLAY first.  Also, make sure there's
nothing in your profile/bashrc stuff on the remote host that messes with
DISPLAY.

> if $?REMOTEHOST
>    export DISPLAY=$REMOTEHOST:0.0

If you do this your X session is no longer tunneled through SSH, and
thus not secure.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/